Skip to main content
GET
/
subaccounts
/
{subaccountId}
/
fiat
/
withdrawals
Fetches a set of Withdrawals Requests for a subaccount
curl --request GET \
  --url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "asset": {
        "amount": "1000.0",
        "assetType": "USD"
      },
      "createdAt": "2019-01-02T12:34:56.000Z",
      "customerDetails": {
        "beneficiary": {
          "address": {
            "address": "123 Main Street",
            "city": "Windsor",
            "state": "Iowa",
            "zipcode": "12312"
          },
          "name": "<string>",
          "accountNumber": "<string>"
        },
        "financialInstitution": {
          "id": "<string>",
          "address": {
            "address": "123 Main Street",
            "city": "Windsor",
            "state": "Iowa",
            "zipcode": "12312"
          },
          "name": "<string>"
        },
        "intermediateFinancialInstitution": {
          "id": "<string>",
          "address": {
            "address": "123 Main Street",
            "city": "Windsor",
            "state": "Iowa",
            "zipcode": "12312"
          },
          "name": "<string>"
        },
        "memo": "<string>"
      },
      "endedAt": "2019-01-03T12:34:56.000Z",
      "transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
      "updatedAt": "2019-01-03T12:34:56.000Z"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

Unique Identifier for the subaccount

Query Parameters

withdrawalStatuses
enum<string>[]

One or more withdrawal statuses to filter results. If no value is passed, it filter by all statuses.

Available options:
INITIATED,
FAILED,
PENDING_ENDORSEMENT,
PENDING_REVIEW,
BROADCASTING,
COMPLETED,
CANCELED
startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

List the Withdrawal Requests

data
ListSubaccountWithdrawalsObject · object[]
required
page
Page · object

Pagination info